%define realname guppy


Name:		python-%{realname}
Version:	0.1.10
Release:	3%{?dist}
Summary:	A Python Programming Environment
Group:		Development/Languages
License:	MIT
URL:		https://pypi.python.org/pypi/guppy/
Source0:	https://pypi.python.org/packages/source/g/%{realname}/%{realname}-%{version}.tar.gz
BuildRequires:	python-devel
BuildRequires:	python-setuptools
Provides:	%{realname}%{?_isa} = %{version}-%{release}


%description
Guppy-PE is a library and programming environment for Python, currently
providing in particular the Heapy subsystem, which supports object and heap
memory sizing, profiling and debugging. It also includes a prototypical
specification language, the Guppy Specification Language (GSL), which can be
used to formally specify aspects of Python programs and generate tests and
documentation from a common source.


%prep
%setup -q -n %{realname}-%{version}


%build
%py_build


%install
%py_install


%files
%doc ANNOUNCE ANNOUNCE-0.1.5 ChangeLog PKG-INFO README
%{python_sitearch}/*


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.10-3
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Jan 26 2016 Peter Lemenkov <lemenkov@gmail.com> - 0.1.10-1
- Ver. 0.1.10
- Spec-file cleanups

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 0.1.9-10
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Mar 05 2011 Peter Lemenkov <lemenkov@gmail.com> - 0.1.9-4
- Fixed work on BigEndian arches
- Fix for rhbz #679422 (backported from upstream's trunk)

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.9-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.1.9-2
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Aug 14 2009 Peter Lemenkov <lemenkov@gmail.com> - 0.1.9-1
- Initial package for Fedora
- Still no gsl-subpackage for emacs
